Get deep-sky object detail.
curl --request GET \
--url https://api.nebyoulous.space/dso/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/dso/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/dso/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"catalogId": "<string>",
"name": "<string>",
"commonName": "<string>",
"displayName": "<string>",
"type": "galaxy",
"ra": 123,
"dec": 123,
"magnitude": 123,
"sizeArcmin": 123,
"sizeMajor": 123,
"sizeMinor": 123,
"constellation": "<string>",
"source": "catalog_import",
"sourceCatalog": "NGC",
"importBatchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"imagingNotes": "<string>",
"designations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"catalog": "NGC",
"designation": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Catalog
Get deep-sky object detail.
GET
/
dso
/
{id}
Get deep-sky object detail.
curl --request GET \
--url https://api.nebyoulous.space/dso/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/dso/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/dso/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"catalogId": "<string>",
"name": "<string>",
"commonName": "<string>",
"displayName": "<string>",
"type": "galaxy",
"ra": 123,
"dec": 123,
"magnitude": 123,
"sizeArcmin": 123,
"sizeMajor": 123,
"sizeMinor": 123,
"constellation": "<string>",
"source": "catalog_import",
"sourceCatalog": "NGC",
"importBatchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"imagingNotes": "<string>",
"designations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"catalog": "NGC",
"designation": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Default Response
Show child attributes
Show child attributes